globalcitizen/taoup
View on GitHub ↗ ★ 445 Ruby
The Tao of Unix Programming (Ruby-powered ANSI colored fortunes)
228 mentions on Hacker News by 4 people: 3 stories, 225 comments · first 2014-05-29 · latest 2026-09-29
20082026
-
…programming. - Rob Pike, Notes on C Programming (1989) ... from my fortune clone ( |grep data ) @ https://github.com/globalcitizen/taoup ; I spoke at Code Generation 2010 (Cambridge, UK) but somewhat controversially for that environment do…
comment by contingencies · 2016-07-07 · in Nail: A practical tool for parsing and generating data formats (2014) [pdf] -
…of their solutions. - Schwarzkopf et al, 'The seven deadly sins of cloud computing research' (2014) https://github.com/globalcitizen/taoup
comment by contingencies · 2016-06-21 · in Robotic Motion Planning in Real-Time -
…Khan Ghalib, classical Urdu and Persian poet from the Mughal Empire ... quote #1 in my fortune db @ https://github.com/globalcitizen/taoup
comment by contingencies · 2016-02-09 · in How We Teach Programming, and Where We're Going Wrong -
…whiteboard are 90% as effective as UML, and actually function for a general audience. (Quotes from https://github.com/globalcitizen/taoup )
comment by contingencies · 2015-11-01 · in Ask HN: What are you currently learning in your spare time? -
Yep. Try also with https://github.com/globalcitizen/taoup
comment by contingencies · 2015-09-04 · in Ask HN: What's your favorite CLI or ncurses program? -
…in Carson (open 10-4PM Saturdays). [0] Added to 'Hackers of History' section of my fortune clone @ https://github.com/globalcitizen/taoup [1] http://www.imprimerie.lyon.fr/imprimerie/ [2] http://www.ntm.cz/en [3] http://www.printmuseum.org/
comment by contingencies · 2015-08-01 · in The Birth of Standard Error (2013) -
…unix philosophy but still unix philosophy-centric, check out my ansified fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-06-26 · in The Unix Philosophy -
…is, in essence, premature optimization. - AnimalMuppet ... lines of thought from my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-06-18 · in Ask HN: What are the best tools for analyzing large bodies of text? -
…established method. Before optimizing, using a profiler. - Mike Morton ... from my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-05-12 · in Latency Tricks -
…to voice, where one has to upgrade the entire core. - RFC3439 (2002) ... from my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-05-03 · in Alan Kay on Messaging (1998) -
…University of California, Los Angeles Older favourites from lolmythesis, in my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-04-19 · in Lol my thesis – Summing up years of work in one sentence -
…the supply of the resource. The reverse is not true. ... etc. quotes taken from my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-02-23 · in Netherlandish Proverbs (1559) -
…throw some of them out after you've finished using them. - Doug McIlroy ... from my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-02-09 · in Show HN: Watch People Code -
…Scientist' (2010) 10th Fundamental Truth of Networking: One size never fits all. - RFC1925 (1996) https://github.com/globalcitizen/taoup
comment by contingencies · 2015-01-23 · in LXC container networking deep dive -
…Truth of Networking: It is easier to move a problem around than it is to solve it. ... RFC1925 via https://github.com/globalcitizen/taoup
comment by contingencies · 2015-01-21 · in Chemical Weapon Munitions Dumped at Sea: An Interactive Map -
…AI is whatever hasn't been done yet. - Douglas Hofstadter (1980) ... taken from my fortune clone @ https://github.com/globalcitizen/taoup
comment by contingencies · 2015-01-21 · in Why can’t the world’s greatest minds solve the mystery of consciousness? -
I went through each quote carefully while adding some missing ones to my fortune clone/database at https://github.com/globalcitizen/taoup and noticed two things versus modern sources: (1) The weight lent to optimization related concerns…
comment by contingencies · 2014-12-01 · in Bumper-Sticker Computer Science (1985) [pdf] -
TLDR - added to https://github.com/globalcitizen/taoup ... Sin #1 - Unnecessary distributed parallelism: It does not always make sense to parallelize a computation. Doing so almost inevitably comes with an additional overhead, both in…
comment by contingencies · 2014-11-30 · in The Seven Deadly Sins of Cloud Computing Research (2012) -
…not algorithms, are central to programming. - Rob Pike, Notes on C Programming (1989) via https://github.com/globalcitizen/taoup
comment by contingencies · 2014-11-29 · in Ask HN: I've learned a programming language – how do I solve problems with code? -
…and as well as introducing tighter coupling between components and layers. - RFC3439, via https://github.com/globalcitizen/taoup
comment by contingencies · 2014-10-29 · in Announcing Beta For Local SSD -
…which arguably results in greater intelligibility. Some relevant quotes from my fortune clone @ https://github.com/globalcitizen/taoup ... You're not to come up with a simple design through any kind of coding techniques or any kind of…
comment by contingencies · 2014-10-20 · in Leslie Lamport on Distributed Systems and Precise Thinking -
…of Certainty: The Science of Our Information Infrastructure , 2013) [1] Taken from my fortune clone https://github.com/globalcitizen/taoup
comment by contingencies · 2014-09-27 · in Quit Covering Up Your Toxic Hellstew with Docker -
…ww.theguardian.com/environment/earth-insight/2014/ju... The quote is part of my fortune replacement @ https://github.com/globalcitizen/taoup
comment by contingencies · 2014-08-25 · in Reverse-engineering censorship in China [pdf] -
…those out. Added to my hacky color fortune clone (also converts to standard fortune format): https://github.com/globalcitizen/taoup
comment by contingencies · 2014-08-12 · in Why one of cybersecurity’s thought leaders uses a pager instead of a smart phone -
Cute! Added to my ruby/ANSI-enabled, architecturally-oriented fortune alternative https://github.com/globalcitizen/taoup :)
comment by contingencies · 2014-06-08 · in RFC 2616 is dead